Bug 601408 - Review Request: techtalk-pse - Presentation software designed for technical people
Summary: Review Request: techtalk-pse - Presentation software designed for technical p...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-07 21:31 UTC by Ian Weller
Modified: 2010-07-02 08:53 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-06-14 16:51:31 UTC
tomspur: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ian Weller 2010-06-07 21:31:05 UTC
Spec URL: http://ianweller.fedorapeople.org/SRPMS/techtalk-pse/1.0.0-1/techtalk-pse.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/techtalk-pse/1.0.0-1/techtalk-pse-1.0.0-1.fc12.src.rpm
Description:
Tech Talk PSE is is Linux Presentation Software designed by technical people to
give technical software demonstrations to other technical people. It is
designed to be simple to use (for people who know how to use an editor and the
command line) and powerful, so that you can create informative, technically
accurate and entertaining talks and demonstrations.

Tech Talk PSE is good at opening editors at the right place, opening shell
prompts with preloaded history, compiling and running things during the
demonstration, displaying text, photos, figures and video.

Tech Talk PSE is bad at slide effects, chart junk and bullet points.

Comment 1 Thomas Spura 2010-06-08 10:57:18 UTC
Nice program...


Review:

Good:
- name ok
- license ok
- group ok
- no libs
- no *.la
- arch ok
- BR ok
- %prep ok
- %build ok
- $ rpmlint ./noarch/techtalk-pse-1.0.0-1.fc13.noarch.rpm ./techtalk-pse-1.0.0-1.fc13.src.rpm 
techtalk-pse.noarch: W: spelling-error %description -l en_US preloaded -> reloaded, p reloaded, freeloaded
techtalk-pse.src: W: spelling-error %description -l en_US preloaded -> reloaded, p reloaded, freeloaded
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
- builds in koji:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2237781



Needswork:
- better use %{version} in URL
- could you please use INSTALL="install -p" when installing?
- please include the example in %doc, I didn't found a good starting point online, except the man page an this one example


#############################################################################

The issues are all SHOULD.

#############################################################################

APPROVED

Comment 2 Ian Weller 2010-06-08 15:02:33 UTC
Thanks, Thomas! I fixed the needswork stuff.

New Package CVS Request
=======================
Package Name: techtalk-pse
Short Description: Presentation software designed for technical people
Owners: ianweller
Branches: F-12 F-13 EL-6
InitialCC:

Comment 3 Kevin Fenzi 2010-06-11 04:54:20 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Ian Weller 2010-06-14 16:51:31 UTC
Files imported in CVS and are building now.

Comment 5 Fedora Update System 2010-06-17 13:53:40 UTC
techtalk-pse-1.0.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/techtalk-pse-1.0.0-2.fc12

Comment 6 Fedora Update System 2010-06-17 14:00:11 UTC
techtalk-pse-1.0.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/techtalk-pse-1.0.0-2.fc13

Comment 7 Fedora Update System 2010-06-21 12:54:43 UTC
techtalk-pse-1.0.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-06-21 12:56:22 UTC
techtalk-pse-1.0.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Richard W.M. Jones 2010-06-21 16:45:39 UTC
There's a problem in 1.0.0 [upstream] that labels
are not displayed with certain versions of perl-Gtk2.

The following patch fixes the issue:

@@ -424,6 +424,7 @@ sub make_button_bar
     my %params = @_;
 
     my $bbox = Gtk2::Toolbar->new ();
+    $bbox->set_style ("GTK_TOOLBAR_TEXT");
 
     my $i = 0;

I'm going to add this upstream later, once I regain
access to git.annexia.org (long story ...)

Comment 10 Richard W.M. Jones 2010-07-02 08:53:30 UTC
I just released 1.0.1.  *However* this contains no change except for
the patch in comment 9 so it's not necessary to upgrade.


Note You need to log in before you can comment on or make changes to this bug.